Groovy Documentation

## org.codehaus.groovy.tools.groovydoc
[Java] Class GroovyDocTemplateEngine

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

    public class GroovyDocTemplateEngine
    extends java.lang.Object

Process Groovydoc templates.

Constructor Summary
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, java.lang.String classTemplate)`
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.Properties properties)`

Method Summary
`void` | `copyBinaryResource(java.lang.String template, java.lang.String destFileName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, java.lang.String classTemplate)

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.Properties properties)

Method Detail

### copyBinaryResource

    public void copyBinaryResource(java.lang.String template, java.lang.String destFileName)

Groovy Documentation